<?php
header("Content-Type: text/html; charset=utf8");
ViewResponse::getInstance()->setMethodAjax();

switch ($type){
    case "validateCel":
		
  		if(strlen($value) == 9)
		{
			$o_ColaboradorBeanT = new ColaboradorBean();
			$o_ColaboradorBeanT->setCelular($value);
			$o_ColaboradorBeanDPT = new ColaboradorDP($o_ColaboradorBeanT);
			$a_o_ColaboradorBeanDPT = $o_ColaboradorBeanDPT->select();
			if(is_array($a_o_ColaboradorBeanDPT) && count($a_o_ColaboradorBeanDPT) > 0){
				$mensaje = "El celular ya esta registrado.";
				$ok='1';
				echo '{status_desc:"'.$mensaje.'",ok:'.$ok.'}';
			 }else{
			 	$ok='2';
				echo '{status_desc:"'.$mensaje.'",ok:'.$ok.'}';	
			 }
		}else{
			$mensaje = "El celular debe ser de 9 números.";
			$ok='1';
			echo '{status_desc:"'.$mensaje.'",ok:'.$ok.'}';	
		}
  	break;
	
	case "validateInteres":
	
		$roleuser = myUser::getUser()->getRoleId();
		$interescliente = 0;
		
		$o_ClienteBeanT = new ClienteBean();
		$o_ClienteBeanT->setIdCliente($idcliente);
		$o_ClienteBeanDPT = new ClienteDP($o_ClienteBeanT);
		$a_o_ClienteBeanDPT = $o_ClienteBeanDPT->select();
		
		if(is_array($a_o_ClienteBeanDPT)){
			$interescliente = $a_o_ClienteBeanDPT[0]->getInteresPorcentaje();
		}
		
		if($roleuser != "sys.gen"){
			if($interescliente < $value){
				$mensaje = "El porcentaje ingresado no puede ser menor.";
		  		$ok='1';
			}
			echo '{status_desc:"'.$mensaje.'",ok:'.$ok.'}';
		} else {
			$mensaje = "";
			$ok='2';
			echo '{status_desc:"'.$mensaje.'",ok:'.$ok.'}';
		}
		
  		break;
     case 'getActualizarDni':
            use_helper('UtilFunctions');
        	$o_ObjectBeanF = new ClienteBean();
			$o_ObjectBeanF->setNuevoDni($nuevodni);
			$o_ObjectBeanF->setNotIdCliente($idcliente);
								
			$o_ObjectDPF = new ClienteDP($o_ObjectBeanF);
			$a_o_ObjectDPF = $o_ObjectDPF->select();
			
			$o_CrBusquedaFN = new CrBusquedaFN();
        	$o_CrBusquedaFN->setTipobusqueda("RENIEC");
        	$o_CrBusquedaFN->setDocumento($nuevodni);
        	$o_CrBusquedaFN->setEstado("P");
        	$a_o_CrBusquedaFN = $o_CrBusquedaFN->select();
			
    			if(!is_array($a_o_ObjectDPF)){
    			    $json = curl_get_contents_alternativo($url,$nuevodni);
            		$obj = json_decode($json);
            		//echo $message."*-*-*-*";
            		if(is_object($obj)){
            			$success = $obj->{'success'};
            			$message = $obj->{'message'};
            			//echo $message."*-*-*-*";
            			if(!$message){
            				if($success === true){
            					
            					// Rescatar los valores para que se pueda asignar al formulario
            					$obj_r = $obj->{'person'};
        						$nombres = $obj_r->{'nombres'};
        						$dni = $obj_r->{'num_doc'};
        						$apellido_paterno = $obj_r->{'apellido_paterno'};
        						$apellido_materno = $obj_r->{'apellido_materno'};
        						$fecha_nacimiento = $obj_r->{'fecha_nacimiento'};
        						$sexo = $obj_r->{'sexo'};
        						$estado_civil_abr = $obj_r->{'estado_civil'};
        						$dir_nombre = $obj_r->{'dir_nombre'};
        						$ubi_nac_dist_desc = $obj_r->{'ubi_dir_dist_desc'};
        						$ubi_nac_prov_desc = $obj_r->{'ubi_dir_prov_desc'};
        						$ubi_nac_depa_desc = $obj_r->{'ubi_dir_depa_desc'};
        						
        						$o_CrBusquedaDP = new CrBusquedaDP();
        						$o_CrBusquedaDP->setTipobusqueda("RENIEC");
        						$o_CrBusquedaDP->setDocumento($nuevodni);
        						$o_CrBusquedaDP->setNombrecompleto($nombres." ".$apellido_paterno." ".$apellido_materno);
        						$o_CrBusquedaDP->setOrigenbusqueda("WEB::Actualizar DNI Cliente y Datos");
        						$o_CrBusquedaDP->setFechaemision($fecha_emision);
        						$o_CrBusquedaDP->setFechacaducidad($fecha_caducidad);
        						$o_CrBusquedaDP->setIdcliente($idcliente);
        						
        						$o_CrBusquedaDP->setEstado("C");
        						$o_CrBusquedaDP->setTramaresultado(addslashes($json));
        						$o_CrBusquedaDP->setFechacreacion(date("Y-m-d H:i:s"));
        						$o_CrBusquedaDP->setUsuariocreacion(myUser::getUser()->getUserId());
        						$id_busqueda = $o_CrBusquedaDP->save(); 
        						
        						
        						$o_ClienteBean = new ClienteBean();
      
                                $o_ClienteBean->setIdCliente($idcliente);
                                $o_ClienteBean->setDni($nuevodni);
                                $o_ClienteBean->setNombres($Nombres);
                                $o_ClienteBean->setApellidoPaterno($apellido_paterno);
                                $o_ClienteBean->setApellidoMaterno($apellido_materno);
                                $nombrecompleto = $apellido_paterno." ".$apellido_materno.", ".$nombres;
                                $o_ClienteBean->setNombreCompleto($nombrecompleto);
                                $o_ClienteBean->setFechaNacimiento($fecha_nacimiento);
                                $o_ClienteBean->setSexo($sexo); 
                                $o_ClienteBean->setJsonReniec($id_busqueda);
                                $o_ClienteBean->setEstadoCivil($estado_civil_abr);
                                $o_ClienteBean->setDireccion(addslashes($dir_nombre));
                                $o_ClienteBean->setFechaModificacion(date("Y-m-d H:i:s"));
                                $o_ClienteBean->setUsuarioModificacion(myUser::getUser()->getUserId());
                                $o_ClienteSystemClass = new ClienteSystemClass($o_ClienteBean);
                                $bResult = $o_ClienteSystemClass->actualizarCliente($idcliente,$chek_documento);
                                
                                
                                $resultado["mensaje"]="Actualizacion exitosa";
            			        $resultado["estado"]=1;
            				}else{
            				    $resultado["mensaje"]=$message;
            			        $resultado["estado"]=0;
            				}
            			}else{
            			    $resultado["mensaje"]=$message;
            			    $resultado["estado"]=0;
            			}
            		}else{
            			    $resultado["mensaje"]="No se puede actualizar";
            			    $resultado["estado"]=0;
            			}
                }else{
                    $resultado["mensaje"]="No se puede actualizar porque este DNI ".$Dni." ya esta asignado en otro cliente";
            		$resultado["estado"]=0;
                }
			echo json_encode($resultado);
        break;
    case 'getActualizarReniec':
 	use_helper('UtilFunctions');
 	
 	$o_CrBusquedaFN = new CrBusquedaFN();
	$o_CrBusquedaFN->setTipobusqueda("RENIEC");
	$o_CrBusquedaFN->setDocumento($dnicliente);
	$o_CrBusquedaFN->setEstado("P");
	$a_o_CrBusquedaFN = $o_CrBusquedaFN->select();

	if(strlen($dnicliente) == 8){
		$json = curl_get_contents_alternativo($url,$dnicliente);
		$obj = json_decode($json);
		if(is_object($obj)){
			$success = $obj->{'success'};
			$message = $obj->{'message'};
			if(!$message){
				if($success === true){
					
					// Rescatar los valores para que se pueda asignar al formulario
					$obj_r = $obj->{'person'};
						$nombres = $obj_r->{'nombres'};
						$dni = $obj_r->{'num_doc'};
						$apellido_paterno = $obj_r->{'apellido_paterno'};
						$apellido_materno = $obj_r->{'apellido_materno'};
						$fecha_nacimiento = $obj_r->{'fecha_nacimiento'};
						$sexo = $obj_r->{'sexo'};
						$estado_civil_abr = $obj_r->{'estado_civil'};
						$dir_nombre = $obj_r->{'dir_nombre'};
						$ubi_nac_dist_desc = $obj_r->{'ubi_dir_dist_desc'};
						$ubi_nac_prov_desc = $obj_r->{'ubi_dir_prov_desc'};
						$ubi_nac_depa_desc = $obj_r->{'ubi_dir_depa_desc'};
						
						$fecha_emision = $obj_r->{'fecha_emision'};
						$fecha_caducidad = $obj_r->{'fecha_caducidad'};
										        
					$obj_img = $obj->{'images'};
						$foto = $obj_img->{'foto'};
						$firma = $obj_img->{'firma'};
					///////////
					
					$o_ObjectBeanF = new ClienteBean();
					$o_ObjectBeanF->setIdCliente($idcliente);
										
					$o_ObjectDPF = new ClienteDP($o_ObjectBeanF);
					$a_o_ObjectDPF = $o_ObjectDPF->select();
					
					foreach ($a_o_ObjectDPF as $key => $o_ObjectDPF){
						$apellido_paterno_c = $o_ObjectDPF->getApellidoPaterno();
						$apellido_materno_c = $o_ObjectDPF->getApellidoMaterno();
					}
					//echo $apellido_paterno."--";
					//echo $apellido_materno."+++";
					if(mb_strtolower(trim($apellido_paterno_c)) == mb_strtolower($apellido_paterno) && mb_strtolower(trim($apellido_materno_c)) == mb_strtolower(utf8_encode($apellido_materno))){
						// Guardar la trama un temporal de tabla de busqueda del cliente para que luego se asocie al cliente creado, sino esta usandose sin 
						$o_CrBusquedaDP = new CrBusquedaDP();
						$o_CrBusquedaDP->setTipobusqueda("RENIEC");
						$o_CrBusquedaDP->setDocumento($dnicliente);
						$o_CrBusquedaDP->setNombrecompleto($nombres." ".$apellido_paterno." ".$apellido_materno);
						$o_CrBusquedaDP->setOrigenbusqueda("WEB::Actualizar Cliente");
						$o_CrBusquedaDP->setFechaemision($fecha_emision);
						$o_CrBusquedaDP->setFechacaducidad($fecha_caducidad);
						$o_CrBusquedaDP->setIdcliente($idcliente);
						$o_CrBusquedaDP->setEstado("C");
						$o_CrBusquedaDP->setTramaresultado(addslashes($json));
						$o_CrBusquedaDP->setFechacreacion(date("Y-m-d H:i:s"));
						$o_CrBusquedaDP->setUsuariocreacion(myUser::getUser()->getUserId());
						$id_busqueda = $o_CrBusquedaDP->save(); 
						
						$o_ObjectBean = new ClienteBean();
						$o_ObjectBean->setIdCliente($idcliente);
						$o_ObjectBean->setJsonReniec($id_busqueda);
						
						$o_ObjectDP = new ClienteDP($o_ObjectBean);
						$ok = $o_ObjectDP->update();
						 
						echo '<img  width="95%" src="data:image/png;base64,'.$foto.'"/>';
						
					}else{
						// Guardar la trama un temporal de tabla de busqueda del cliente para que luego se asocie al cliente creado, sino esta usandose sin 
						$o_CrBusquedaDP = new CrBusquedaDP();
						$o_CrBusquedaDP->setTipobusqueda("RENIEC");
						$o_CrBusquedaDP->setDocumento($dnicliente);
						$o_CrBusquedaDP->setNombrecompleto($nombres." ".$apellido_paterno." ".$apellido_materno);
						$o_CrBusquedaDP->setOrigenbusqueda("WEB::Actualizar Cliente");
						$o_CrBusquedaDP->setFechaemision($fecha_emision);
						$o_CrBusquedaDP->setFechacaducidad($fecha_caducidad);
						$o_CrBusquedaDP->setIdcliente($idcliente);
						$o_CrBusquedaDP->setEstado("P");
						$o_CrBusquedaDP->setTramaresultado(addslashes($json));
						$o_CrBusquedaDP->setFechacreacion(date("Y-m-d H:i:s"));
						$o_CrBusquedaDP->setUsuariocreacion(myUser::getUser()->getUserId());
						$id_busqueda = $o_CrBusquedaDP->save(); 
						
						echo "No concuerda el apellido paterno y materno del cliente: ". $apellido_paterno_c ." ". $apellido_materno_c ."";
						echo 'Con la Reniec: '. $apellido_paterno ." ". $apellido_materno ."";
					}
					
					
					
				}else{
					echo "No existe resultados para la busquedea del DNI.";
				}
			}else{
				echo "No existe resultados para la busquedea del DNI.";
			}
		}else{
			$o_ObjectBeanF = new ClienteBean();
			$o_ObjectBeanF->setIdCliente($idcliente);
								
			$o_ObjectDPF = new ClienteDP($o_ObjectBeanF);
			$a_o_ObjectDPF = $o_ObjectDPF->select();
			
			foreach ($a_o_ObjectDPF as $key => $o_ObjectDPF){
				$sexo_c = $o_ObjectDPF->getSexo();
				$id_json = $o_ObjectDPF->getJsonReniec();
				
			}
			if($id_json){
				$o_CrBusquedaFN = new CrBusquedaFN();
				$o_CrBusquedaFN->setIdbusqueda($id_json);
				$o_CrBusquedaBN = $o_CrBusquedaFN->selectByPK();
				$json = $o_CrBusquedaBN->getTramaresultado();
				$obj = json_decode($json);
				if(is_object($obj)){
					$success = $obj->{'success'};
					$message = $obj->{'message'};
					if(!$message){
						if($success === true){
							
							// Rescatar los valores para que se pueda asignar al formulario
							$obj_img = $obj->{'images'};
								$foto = $obj_img->{'foto'};
								$firma = $obj_img->{'firma'};
								
							echo '<img  width="95%" src="data:image/png;base64,'.$foto.'"/>';		
						}
					}
				}
			}else{
			?>
			<img  width="95%" src="/images/common/<?php echo strtolower($sexo_c);?>.png">
			<br>No hay servicio de consulta.
			<?php
			}
			
		}
	
	
	}else{
		echo "DNI no permitido.";
		echo 'Hacer otra busqueda <a href="#" onclick="activarBuscarDocumento()">click aquí</a>';	
	}
	
	
	echo "<pre>";
	//print_r($obj);
	echo "</pre>";
	
 	break;
	case 'getRepresentantesAll':
  		
		$con = Conexion::getConexion();
		
	    $sql = "SELECT IdAdministrador
	    		FROM cr_sucursal
	    		WHERE IdSucursal='".$value."';";
	    //echo $sql;
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
	    if($num_rows>0){
		  	$i=1;
		    while($o_ClienteBean = mysql_fetch_object($result)){
			    $IdAdministrador = $o_ClienteBean->IdAdministrador;
		    }
		 }
	    
		
	    $sql = "SELECT co.idColaborador,concat(co.ApellidoPaterno,' ', ApellidoMaterno,', ',Nombres) as Nombres 
	    		FROM  cr_colaborador co
	    		WHERE (IdPadre='".$IdAdministrador."' or Idcolaborador = '".$IdAdministrador."') and eliminado='0' 
	    		order by co.IdRol, 1 ;";
	    //echo $sql;
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
		  if($num_rows>0){
		  	$i=1;
		    while($o_ClienteBean = mysql_fetch_object($result)){
			    $a_ValuesElm[] = $o_ClienteBean->idColaborador."_;_".$o_ClienteBean->Nombres;
			    $i++;
		    }
		  }
		  
		 $a_Resultado     = array();
	      foreach ($a_ValuesElm as $key => $value){
	          $valueElm = $value;
	          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	      }
	      
	       $salida = "[".implode(",",$a_Resultado).']';
    
     	 header("X-JSON: ".$salida);
		break;
	case "validateCE":
  		if(strlen($value) > 8 && strlen($value) <= 10)
		{
			$o_ClienteBeanT = new ClienteBean();
			$o_ClienteBeanT->setDni($value);
			$o_ClienteBeanT->setNotIdCliente($idcliente);
			$o_ClienteBeanDPT = new ClienteDP($o_ClienteBeanT);
			$a_o_ClienteBeanDPT = $o_ClienteBeanDPT->select();
			if(is_array($a_o_ClienteBeanDPT)){
			  	foreach ($a_o_ClienteBeanDPT as $key =>$o_ClienteBeanDPT){
			  		//$mensaje = "El Dni ya esta registrado y tiene el cliente con DNI:".$value."  y Id: ".$o_ClienteBeanDPT->getIdCliente()." - ".$o_ClienteBeanDPT->getNombres()." ".$o_ClienteBeanDPT->getApellidoPaterno()." ".$o_ClienteBeanDPT->getApellidoMaterno()."";
			  		$mensaje = "El Dni ya esta registrado, Nombre: ".$o_ClienteBeanDPT->getNombres()." ".$o_ClienteBeanDPT->getApellidoPaterno()." ".$o_ClienteBeanDPT->getApellidoMaterno()."";
			  		$ok='1';
			  	}
				echo '{status_desc:"'.$mensaje.'",ok:'.$ok.'}';
			 }else{
			 	$ok='2';
				echo '{status_desc:"'.$mensaje.'",ok:'.$ok.',nombres:"'.$s_nombres.'",apellido_paterno:"'.$s_apellido_paterno.'",apellido_materno:"'.$s_apellido_materno.'"}';	
			 }
		}else{
			$mensaje = "El numero de documento debe ser mayor igual a 9 caracteres y menor igual a 10 caracteres";
			$ok='1';
			echo '{status_desc:"'.$mensaje.'",ok:'.$ok.'}';	
		}
  		break;
  case "validateDniEmpleado":
      if(strlen($value) == 8)
		{
			$o_ColaboradorBeanT = new ColaboradorBean();
			$o_ColaboradorBeanT->setDni($value);

			$o_ColaboradorDPT = new ColaboradorDP($o_ColaboradorBeanT);
			$a_o_ColaboradorDPT = $o_ColaboradorDPT->select();
		  
		  if(is_array($a_o_ColaboradorDPT)){
		  	foreach ($a_o_ColaboradorDPT as $key =>$o_ColaboradorDPT){
		  		//$mensaje = "El Dni ya esta registrado y tiene el cliente con DNI:".$value."  y Id: ".$o_ClienteBeanDPT->getIdCliente()." - ".$o_ClienteBeanDPT->getNombres()." ".$o_ClienteBeanDPT->getApellidoPaterno()." ".$o_ClienteBeanDPT->getApellidoMaterno()."";
		  		$mensaje = "El Dni ya esta registrado, Nombre: ".$o_ColaboradorDPT->getNombres()." ".$o_ColaboradorDPT->getApellidoPaterno()." ".$o_ColaboradorDPT->getApellidoMaterno()."";
		  		$ok='1';
		  	}
			echo '{status_desc:"'.$mensaje.'",ok:'.$ok.'}';
		  }else{
			$mensaje = "";
				
				function curl_get_contents($url)
				{
				  $ch = curl_init($url);
				  curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
				  curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
				  curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
				  curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
				  $data = curl_exec($ch);
				  curl_close($ch);
				  return $data;
				}
				$url = "https://dniruc.apisperu.com/api/v1/dni/".$value."?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJlbWFpbCI6InNvdG9tYXlvcnN0ZXJAZ21haWwuY29tIn0.fYZBnuGA5LO8gH4umbJoYjwgw4PgYQ09B6ARTO3Cq9E";
				//$url = "https://dniruc.apisperu.com/api/v1/dni/".$value."?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJlbWFpbCI6Im1hc2NydXoxM0Bob3RtYWlsLmNvbSJ9.mNDdXUeDsTq7zlvdmkFUInQcXlC3qPTbEJIo4kfYi-w";
				//$url = "https://dniruc.apisperu.com/api/v1/dni/".$value."?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJlbWFpbCI6Im1hLnNvdG9tYXlvcjEzQGdtYWlsLmNvbSJ9.GZ8B8Vg9BPy9kEQJT1AGPMtHrVP9RgCtfCvOwAzEKrE";
				//$url = "https://apiperu.dev/api/dni/".$value."?api_token=0aa2cbfeae74b3d765bd354ca02fe4178ba40fc73af94b83cccfb3eb49414aa4";
				$result = curl_get_contents($url);
				
				//print_r($result);
				
				$obj = json_decode($result);
				$success = $obj->{'success'};
				
				
				/****************SWITCH**************/
				//$result = null;
				//$success = false;
				/******************************/
				if(!$result){
					if($success === false){
						
						
						// ---------------- MIGO---------------------------------
						$url = "https://dniruc.apisperu.com/api/v1/dni/".$value."?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJlbWFpbCI6Im1hc2NydXoxM0Bob3RtYWlsLmNvbSJ9.mNDdXUeDsTq7zlvdmkFUInQcXlC3qPTbEJIo4kfYi-w";
						//$url = "https://apiperu.dev/api/dni/".$value."?api_token=0aa2cbfeae74b3d765bd354ca02fe4178ba40fc73af94b83cccfb3eb49414aa4";
						$result = curl_get_contents($url);
						
						//print_r($result);
						$success = $obj->{'success'};
						$obj_1 = $obj->{'data'};
						
						if($success === true){
							if($obj_1->{'apellido_materno'}) $s_apellido_materno     =  $obj_1->{'apellido_materno'};
							if($obj_1->{'apellido_paterno'}) $s_apellido_paterno     =  $obj_1->{'apellido_paterno'};
							if($obj_1->{'nombres'}) $s_nombres     =  $obj_1->{'nombres'};
							$mensaje = "Se encontro metodo 2";
							$ok='2';
							echo '{status_desc:"'.$mensaje.'",ok:'.$ok.',nombres:"'.$s_nombres.'",apellido_paterno:"'.$s_apellido_paterno.'",apellido_materno:"'.$s_apellido_materno.'"}';
						}else{
							$ok='1';
							$mensaje = "No es valido este dni en la reniec";
							echo '{status_desc:"'.$mensaje.'",ok:'.$ok.',nombres:"'.$s_nombres.'",apellido_paterno:"'.$s_apellido_paterno.'",apellido_materno:"'.$s_apellido_materno.'"}';
						}
					}
					$success = false;
				}else{
					if($success === false){
						// ---------------- ---------------------------------
						//$url = "https://dniruc.apisperu.com/api/v1/dni/".$value."?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJlbWFpbCI6InNvdG9tYXlvcnN0ZXJAZ21haWwuY29tIn0.fYZBnuGA5LO8gH4umbJoYjwgw4PgYQ09B6ARTO3Cq9E";
						//$url = "https://dniruc.apisperu.com/api/v1/dni/".$value."?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJlbWFpbCI6Im1hc2NydXoxM0Bob3RtYWlsLmNvbSJ9.mNDdXUeDsTq7zlvdmkFUInQcXlC3qPTbEJIo4kfYi-w";
						$url = "https://apiperu.dev/api/dni/".$value."?api_token=0aa2cbfeae74b3d765bd354ca02fe4178ba40fc73af94b83cccfb3eb49414aa4";
						$result = curl_get_contents($url);
						
						
						
						$obj = json_decode($result);
						$success = $obj->{'success'};
						$obj_1              =  $obj->{'data'};
						
						if($success === true){
							if($obj_1->{'apellido_materno'}) $s_apellido_materno     =  $obj_1->{'apellido_materno'};
							if($obj_1->{'apellido_paterno'}) $s_apellido_paterno     =  $obj_1->{'apellido_paterno'};
							if($obj_1->{'nombres'}) $s_nombres     =  $obj_1->{'nombres'};
							$mensaje = "Se encontro dev";
							$ok='2';
							echo '{status_desc:"'.$mensaje.'",ok:'.$ok.',nombres:"'.$s_nombres.'",apellido_paterno:"'.$s_apellido_paterno.'",apellido_materno:"'.$s_apellido_materno.'"}';
						}else{
							$ok='1';
							$mensaje = "No es valido este dni en la reniec";
							echo '{status_desc:"'.$mensaje.'",ok:'.$ok.',nombres:"'.$s_nombres.'",apellido_paterno:"'.$s_apellido_paterno.'",apellido_materno:"'.$s_apellido_materno.'"}';
						}
					}else{
						/*
						$b_success 				=  $obj->{'success'};
						$s_nombres              =  $obj->{'nombres'};
						if($obj->{'apellidoMaterno'}) $s_apellido_materno     =  $obj->{'apellidoMaterno'};
						if($obj->{'apellidoPaterno'}) $s_apellido_paterno     =  $obj->{'apellidoPaterno'};
						if($obj->{'nombres'}) $s_nombres     =  $obj->{'nombres'};
						$mensaje = "Se encontro";
						$ok='2';
						echo '{status_desc:"'.$mensaje.'",ok:'.$ok.',nombres:"'.$s_nombres.'",apellido_paterno:"'.$s_apellido_paterno.'",apellido_materno:"'.$s_apellido_materno.'"}';
						*/
						$b_success 				=  $obj->{'success'};
						$s_nombres              =  $obj->{'nombres'};
						if($obj->{'apellidoMaterno'}) $s_apellido_materno     =  $obj->{'apellidoMaterno'};
						if($obj->{'apellidoPaterno'}) $s_apellido_paterno     =  $obj->{'apellidoPaterno'};
						if($obj->{'nombres'}) $s_nombres     =  $obj->{'nombres'};
						if($s_apellido_materno == "") $s_apellido_materno = "-";
						
						if($s_nombres == "" || $s_apellido_paterno == ""){
							$dni= $value;
							
							$token= "ZQfEDzGF9sNugBlWWdNpJdsmWwTTU1hH0FKGH4Mg1ZJpPzOoQbuNX6fPTMkt";
											
							$_POST['datos']['dni'] = $value;
							$_POST['datos']['token'] = $token;
							$data_string = json_encode($_POST);
							$ch = curl_init('http://actelenet.com/ws.php');
							curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
							curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);
							curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
							curl_setopt($ch, CURLOPT_HTTPHEADER, array(
									'Content-Type: application/json',
									'Content-Length: ' . strlen($data_string))
							);
							curl_setopt($ch, CURLOPT_TIMEOUT, 900);
							curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 500);
							//$result = "";
							$result = curl_exec($ch);
							curl_close($ch);
							$obj = json_decode(mb_convert_encoding($result, "UTF-8"));
							$success = $obj->{'success'};
							
							if($success === true){
								if($obj->{'apellido_materno'}) $s_apellido_materno     =  $obj->{'apellido_materno'};
								if($obj->{'apellido_paterno'}) $s_apellido_paterno     =  $obj->{'apellido_paterno'};
								if($obj->{'nombres'}) $s_nombres     =  $obj->{'nombres'};
								$mensaje = "Se encontro";
								$ok='2';
								echo '{status_desc:"'.$mensaje.'",ok:'.$ok.',nombres:"'.$s_nombres.'",apellido_paterno:"'.$s_apellido_paterno.'",apellido_materno:"'.$s_apellido_materno.'"}';
							}else{
								$ok='1';
								$mensaje = "No es valido este dni en la reniec";
								echo '{status_desc:"'.$mensaje.'",ok:'.$ok.',nombres:"'.$s_nombres.'",apellido_paterno:"'.$s_apellido_paterno.'",apellido_materno:"'.$s_apellido_materno.'"}';
							}
						
						}else{
						
							$mensaje = "Se encontro";
							$ok='2';
							echo '{status_desc:"'.$mensaje.'",ok:'.$ok.',nombres:"'.$s_nombres.'",apellido_paterno:"'.$s_apellido_paterno.'",apellido_materno:"'.$s_apellido_materno.'"}';
						
						}
					}
				}
		  }			
		  	
			
		}else{
				$mensaje = "Este dni es menor a 8 caracteres";
				$ok='1';
				echo '{status_desc:"'.$mensaje.'",ok:'.$ok.'}';	
		}	
	  		
  		//echo '{status_desc:"'.$mensaje.'",ok:'.$ok.'}';
  		break;
    case "validateDni":
		if(strlen($value) == 8)
		{
			$o_ClienteBeanT = new ClienteBean();
			$o_ClienteBeanT->setDni($value);
			$o_ClienteBeanT->setNotIdCliente($idcliente);
			$o_ClienteBeanDPT = new ClienteDP($o_ClienteBeanT);
			$a_o_ClienteBeanDPT = $o_ClienteBeanDPT->select();
		  
		  if(is_array($a_o_ClienteBeanDPT)){
		  	foreach ($a_o_ClienteBeanDPT as $key =>$o_ClienteBeanDPT){
		  		//$mensaje = "El Dni ya esta registrado y tiene el cliente con DNI:".$value."  y Id: ".$o_ClienteBeanDPT->getIdCliente()." - ".$o_ClienteBeanDPT->getNombres()." ".$o_ClienteBeanDPT->getApellidoPaterno()." ".$o_ClienteBeanDPT->getApellidoMaterno()."";
		  		$mensaje = "El Dni ya esta registrado, Nombre: ".$o_ClienteBeanDPT->getNombres()." ".$o_ClienteBeanDPT->getApellidoPaterno()." ".$o_ClienteBeanDPT->getApellidoMaterno()."";
		  		$ok='1';
		  	}
			echo '{status_desc:"'.$mensaje.'",ok:'.$ok.'}';
		  }else{
			$mensaje = "";
				
				function curl_get_contents($url)
				{
				  $ch = curl_init($url);
				  curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
				  curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
				  curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
				  curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
				  $data = curl_exec($ch);
				  curl_close($ch);
				  return $data;
				}
				
				/****************SWITCH**************/
				$result = null;
				$success = false;
				/******************************/
				if(!$result){
					if($success === false){
						//echo "*-*-*--";
						//$url = "https://apiperu.dev/api/dni/".$value."?api_token=9a5969ba50b89914ba92166f2e05ea35149922956fb2aab687c7f02e609f0f23";
						$url = "https://my.apidev.pro/api/dni/".$value."?api_token=9a5969ba50b89914bbb2166f2e05eaaa149922956fb2aab68117f02e609f0f23";
						$result = curl_get_contents($url);
						
						
						
						$obj = json_decode($result);
						$success = $obj->{'success'};
						$obj_1              =  $obj->{'data'};
						
						if($success === true){
						    $s_apellido_materno = '-';
							if($obj_1->{'apellido_materno'}) $s_apellido_materno     =  $obj_1->{'apellido_materno'};
							if($obj_1->{'apellido_paterno'}) $s_apellido_paterno     =  $obj_1->{'apellido_paterno'};
							if($obj_1->{'nombres'}) $s_nombres     =  $obj_1->{'nombres'};
							//if($obj_1->{'direccion_completa'}) $s_direccion_completa     =  $obj_1->{'direccion_completa'};
							if($obj_1->{'direccion_completa'}) $s_direccion_completa     =  str_replace('"',' ',$obj_1->{'direccion_completa'});
							if($obj_1->{'fecha_nacimiento'}) $s_fecha_nacimiento     =  $obj_1->{'fecha_nacimiento'};
							if($obj_1->{'sexo'}) $s_sexo     =  substr($obj_1->{'sexo'},0,1);
							if($obj_1->{'estado_civil'}) $s_estado_civil     =  substr($obj_1->{'estado_civil'},0,1);
							$mensaje = "Se encontro dev";
							$ok='2';
							echo '{status_desc:"'.$mensaje.'",ok:'.$ok.',nombres:"'.$s_nombres.'",apellido_paterno:"'.$s_apellido_paterno.'",apellido_materno:"'.$s_apellido_materno.'",direccion_completa:"'.$s_direccion_completa.'",sexo:"'.$s_sexo.'",estado_civil:"'.$s_estado_civil.'",fecha_nacimiento:"'.$s_fecha_nacimiento.'"}';
							
						}else{
						    
						    
								$url = "https://apiperu.dev/api/dni/".$value."?api_token=9a5969ba50b89914ba92166f2e05ea35149922956fb2aab687c7f02e609f0f23";
								$url = "https://dniruc.apisperu.com/api/v1/dni/".$value."?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJlbWFpbCI6InNvdG9tYXlvcnN0ZXJAZ21haWwuY29tIn0.fYZBnuGA5LO8gH4umbJoYjwgw4PgYQ09B6ARTO3Cq9E";
        						$result = curl_get_contents($url);
        						
        						
        						
        						$obj = json_decode($result);
        						$success = $obj->{'success'};
        						
        						
        						if($success === true){
        						    $s_apellido_materno = '-';
        							if($obj->{'apellidoMaterno'}) $s_apellido_materno     =  $obj->{'apellidoMaterno'};
        							if($obj->{'apellidoPaterno'}) $s_apellido_paterno     =  $obj->{'apellidoPaterno'};
        							if($obj->{'nombres'}) $s_nombres     =  $obj->{'nombres'};
        							if($obj->{'direccion_completa'}) $s_direccion_completa     =  str_replace('"',' ',$obj->{'direccion_completa'});
        							$mensaje = "Se encontro dev";
        							$ok='2';
        							echo '{status_desc:"'.$mensaje.'",ok:'.$ok.',nombres:"'.$s_nombres.'",apellido_paterno:"'.$s_apellido_paterno.'",apellido_materno:"'.$s_apellido_materno.'",direccion_completa:"'.$s_direccion_completa.'"}';
        						}else{
        						    
        						    
        							$ok='1';
        							$mensaje = "No es valido este dni en la reniec";
        							echo '{status_desc:"'.$mensaje.'",ok:'.$ok.',nombres:"'.$s_nombres.'",apellido_paterno:"'.$s_apellido_paterno.'",apellido_materno:"'.$s_apellido_materno.'"}';
        						}
						}
				
					
					}
					
				
				}
					
		  }
		  	
		  	
			
		}else{
				$mensaje = "Este dni es menor a 8 caracteres";
				$ok='1';
				echo '{status_desc:"'.$mensaje.'",ok:'.$ok.'}';	
		}	
	  		
  		//echo '{status_desc:"'.$mensaje.'",ok:'.$ok.'}';
  		break;
	case 'getRepresentantexSucursal':
		$con = Conexion::getConexion();
		$IdSucursal = $value;
	
		//Buscar el padre
		
		$sql = "SELECT idadministrador
				FROM cr_sucursal
	    		WHERE IdSucursal='".$IdSucursal."';";
	    
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
		  if($num_rows>0){
		  	$i=1;
		    while($o_ClienteBean = mysql_fetch_object($result)){
			    $idadministrador = $o_ClienteBean->idadministrador;
		    }
		  }
		  		
		if(!$idadministrador) $idadministrador = 9999;
	    $sql = "SELECT co.idColaborador,concat(co.ApellidoPaterno,' ', ApellidoMaterno,', ',Nombres) as Nombres 
	    		FROM cr_colaborador co 
	    		WHERE IdPadre='".$idadministrador."'
	    		AND eliminado = '0';";
	    
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
		  if($num_rows>0){
		  	$i=1;
		    while($o_ClienteBean = mysql_fetch_object($result)){
			    $a_ValuesElm[] = $o_ClienteBean->idColaborador."_;_".$o_ClienteBean->Nombres;
			    $i++;
		    }
		  }
		  
		 $a_Resultado     = array();
	      foreach ($a_ValuesElm as $key => $value){
	          $valueElm = $value;
	          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	      }
	      
	       $salida = "[".implode(",",$a_Resultado).']';
    
     	 header("X-JSON: ".$salida);
		break;
  case 'getRepresentantes':
		$con = Conexion::getConexion();
	    $sql = "SELECT co.idColaborador,concat(co.ApellidoPaterno,' ', ApellidoMaterno,', ',Nombres) as Nombres FROM cr_mercado_representante  mere
	    		left join cr_colaborador co on co.IdColaborador = mere.IdColaborador
	    		WHERE IdMercado='".$value."';";
	    
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
		  if($num_rows>0){
		  	$i=1;
		    while($o_ClienteBean = mysql_fetch_object($result)){
			    $a_ValuesElm[] = $o_ClienteBean->idColaborador."_;_".$o_ClienteBean->Nombres;
			    $i++;
		    }
		  }
		  
		 $a_Resultado     = array();
	      foreach ($a_ValuesElm as $key => $value){
	          $valueElm = $value;
	          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	      }
	      
	       $salida = "[".implode(",",$a_Resultado).']';
    
     	 header("X-JSON: ".$salida);
		break;
  case 'nameDoc':

    $o_ObjectBean = new DocenteBean();
    if($value!=""){ 
      $o_ObjectBean->setCodigoDocente($value);
      
      $o_class = new DocenteBL();
      $a_ObjectDocenteBean = $o_class->busquedaDocente($o_ObjectBean);

      if(is_array($a_ObjectDocenteBean) && count($a_ObjectDocenteBean) > 0){
        $tmp = array($nombreElm=>$a_ObjectDocenteBean[0]->getNombre());
      }else{
        $tmp = array($nombreElm=>"<b><font color=red>No se encontro el registro</font></b>");
      }
      
      $scadena = utilJson::generateJsonElment($tmp);
      ////echo "<pre>";
      //print_r($scadena);
      //echo "<pre>";
    }
       
    header("X-JSON: ".$scadena);
  break;
  case 'NombreColaborador':

    $o_ObjectBean = new ColaboradorBean();
    if($value!=""){ 
      $o_ObjectBean->setIdColaborador($value);
      
      $o_class = new ColaboradorBL();
      $a_ObjectColaboradorBean = $o_class->busquedaColaborador($o_ObjectBean);

      if(is_array($a_ObjectColaboradorBean) && count($a_ObjectColaboradorBean) > 0){
        $tmp = array($nombreElm=>$a_ObjectColaboradorBean[0]->getNombreCompleto());
      }else{
        $tmp = array($nombreElm=>"<b><font color=red>No se encontro el registro</font></b>");
      }
      
      $scadena = utilJson::generateJsonElment($tmp);
      ////echo "<pre>";
      //print_r($scadena);
      //echo "<pre>";
    }
       
    header("X-JSON: ".$scadena);
  break;
  
  case 'NombreMercado':

    $o_ObjectBean = new MercadoBean();
    if($value!=""){ 
      $o_ObjectBean->setIdMercado($value);
      
      $o_class = new MercadoBL();
      $a_ObjectMercadoBean = $o_class->busquedaMercado($o_ObjectBean);

      if(is_array($a_ObjectMercadoBean) && count($a_ObjectMercadoBean) > 0){
        $tmp = array($nombreElm=>$a_ObjectMercadoBean[0]->getDescripcion());
      }else{
        $tmp = array($nombreElm=>"<b><font color=red>No se encontro el registro</font></b>");
      }
      
      $scadena = utilJson::generateJsonElment($tmp);
      ////echo "<pre>";
      //print_r($scadena);
      //echo "<pre>";
    }
       
    header("X-JSON: ".$scadena);
  break;
  
    case 'getRepresentante':

    $o_ObjectBean = new MercadoRepresentanteBean();
    if($value!=""){ 
      $value = (int)$value;
      $o_ObjectBean->setIdMercado($value);
      
      $o_class = new MercadoRepresentanteBL();
      $a_ObjectMercadoRepresentanteBean = $o_class->busquedaMercadoRepresentanteDetalle($o_ObjectBean);
		
      
      if(array($a_ObjectMercadoRepresentanteBean) && count($a_ObjectMercadoRepresentanteBean)>0){
        foreach ($a_ObjectMercadoRepresentanteBean as $key => $ObjectMercadoRepresentanteBean){
        	$a_IdColaborador[] = $ObjectMercadoRepresentanteBean->getIdColaborador();
        }
      }else{
      	$a_IdColaborador[0] = null ;
      }
      
      $o_Colaborador = new ColaboradorBean();
      $o_Colaborador->setIdColaboradores($a_IdColaborador);
      
      $o_ColaboradorBL = new ColaboradorBL();
      $a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_Colaborador);
      foreach ($a_o_Colaborador as $iKey => $o_Colaborador){
          $a_ValuesElm[] = $o_Colaborador->getIdColaborador()."_;_".$o_Colaborador->getNombreCompleto();
      }
      
      $a_Resultado     = array();
      foreach ($a_ValuesElm as $key => $value){
          $valueElm = $value;
          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
      }
        
      $salida = "[".implode(",",$a_Resultado).']';
    
      header("X-JSON: ".$salida);
    }
       
    
  break;
  
  case 'getRepresentanteUser':

    $o_ObjectBean = new MercadoRepresentanteBean();
    if($value!=""){ 
      $value = (int)$value;
      $o_ObjectBean->setIdMercado($value);
      
      $o_class = new MercadoRepresentanteBL();
      $a_ObjectMercadoRepresentanteBean = $o_class->busquedaMercadoRepresentanteDetalle($o_ObjectBean);
		
      
      if(array($a_ObjectMercadoRepresentanteBean) && count($a_ObjectMercadoRepresentanteBean)>0){
        foreach ($a_ObjectMercadoRepresentanteBean as $key => $ObjectMercadoRepresentanteBean){
        	$a_IdColaborador[] = $ObjectMercadoRepresentanteBean->getIdColaborador();
        }
      }else{
      	$a_IdColaborador[0] = null ;
      }
      
      $o_Colaborador = new ColaboradorBean();
      $o_Colaborador->setIdColaboradores($a_IdColaborador);
      
      $o_ColaboradorBL = new ColaboradorBL();
      $a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_Colaborador);
      foreach ($a_o_Colaborador as $iKey => $o_Colaborador){
          $a_ValuesElm[] = $o_Colaborador->getUsuario()."_;_".$o_Colaborador->getNombreCompleto();
      }
      
      $a_Resultado     = array();
      foreach ($a_ValuesElm as $key => $value){
          $valueElm = $value;
          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
      }
        
      $salida = "[".implode(",",$a_Resultado).']';
    
      header("X-JSON: ".$salida);
    }
       
    
  break;
  
  case 'getMercado':
	//echo "------";
    $o_ObjectBean = new SucursalMercadoBean();
    if($value!=""){ 
      $value = (int)$value;
      $o_ObjectBean->setIdSucursal($value);
	  
	  $o_SucursalMercadoDP = new SucursalMercadoDP($o_ObjectBean); 
	  $a_ObjectSucursalMercadoBean = $o_SucursalMercadoDP->select(); 
	  
      
      //print_r($a_ObjectSucursalMercadoBean);
	  
      if(array($a_ObjectSucursalMercadoBean)){
        foreach ($a_ObjectSucursalMercadoBean as $key => $ObjectSucursalMercadoBean){
        	$a_IdMercados[] = $ObjectSucursalMercadoBean->getIdMercado();
        }
      }
      
      $o_Mercado = new MercadoBean();
      if(count($a_IdMercados) == '0') $a_IdMercados['X'] = 'X'; 
      $o_Mercado->setIdMercados($a_IdMercados);
      
      $o_MercadoBL = new MercadoBL();
      $a_o_mercado = $o_MercadoBL->busquedaMercado($o_Mercado);
      foreach ($a_o_mercado as $iKey => $o_mercado){
          $a_ValuesElm[] = $o_mercado->getIdMercado()."_;_".$o_mercado->getDescripcion();
      }
      
      $a_Resultado     = array();
      foreach ($a_ValuesElm as $key => $value){
          $valueElm = $value;
          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
      }
        
      $salida = "[".implode(",",$a_Resultado).']';
    
      header("X-JSON: ".$salida);
    }
       
    
  break;
  
  
 
  case 'getEspecialidad':
    
      if(!$value) $value = "99999999";
      $o_especialidadBean = new EspecialidadBean();
      $o_especialidadBean->setFacultadId($value);
  
      $o_class = new EspecialidadBL();
      $a_ObjectBean = $o_class->getEspecialidad($o_especialidadBean);

      if(is_array($a_ObjectBean) && count($a_ObjectBean) > 0){
        foreach ($a_ObjectBean as $iKey => $oValue){
          $a_ValuesElm[] = $oValue->getEspecialidadId()."_;_".$oValue->getEspecialidadDescripcion();
        }
        
        $a_Resultado     = array();
        foreach ($a_ValuesElm as $key => $value){
          $valueElm = $value;
          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
        }
        
      }else{
        $a_Resultado = array($nombreElm=>"");
      }
      
      
      $salida = "[".implode(",",$a_Resultado).']';
     /* echo "<pre>";
      print_r($salida);
      echo "<pre>";*/
      header("X-JSON: ".$salida);
    break;
  
}

?>